Page MenuHomePhabricator

savedParamValue JavaScript error when translating
Closed, ResolvedPublic

Description

To reproduce:

  • Enable JavaScript console.
  • Translate "Channel S" from English to Romanian
  • Translate the first paragraph of text, which begins with the words "Channel S is a UK-based"

Observed in JS console:

TypeError: savedParamValue is undefined ext.cx.tools.template.js:850:6
	TemplateTool.prototype.adapt/</< https://ro.wikipedia.org/w/extensions/ContentTranslation/modules/tools/ext.cx.tools.template.js:850:6
	.each https://ro.wikipedia.org/w/load.php:392:14
	TemplateTool.prototype.adapt/< https://ro.wikipedia.org/w/extensions/ContentTranslation/modules/tools/ext.cx.tools.template.js:842:4
	.Deferred/promise.then/</</< https://ro.wikipedia.org/w/load.php:3305:30
	jQuery.Callbacks/fire https://ro.wikipedia.org/w/load.php:3148:10
	jQuery.Callbacks/self.fireWith https://ro.wikipedia.org/w/load.php:3260:7
	.Deferred/</deferred[tuple[0]] https://ro.wikipedia.org/w/load.php:3350:5
	jQuery.Callbacks/fire https://ro.wikipedia.org/w/load.php:3148:10
	jQuery.Callbacks/self.fireWith https://ro.wikipedia.org/w/load.php:3260:7
	.Deferred/</deferred[tuple[0]] https://ro.wikipedia.org/w/load.php:3350:5
	jQuery.Callbacks/fire https://ro.wikipedia.org/w/load.php:3148:10
	jQuery.Callbacks/self.add https://ro.wikipedia.org/w/load.php:3194:7
	.Deferred/promise.then/</</< https://ro.wikipedia.org/w/load.php:3307:10
	jQuery.Callbacks/fire https://ro.wikipedia.org/w/load.php:3148:10
	jQuery.Callbacks/self.fireWith https://ro.wikipedia.org/w/load.php:3260:7
	.Deferred/</deferred[tuple[0]] https://ro.wikipedia.org/w/load.php:3350:5
	jQuery.Callbacks/fire https://ro.wikipedia.org/w/load.php:3148:10
	jQuery.Callbacks/self.fireWith https://ro.wikipedia.org/w/load.php:3260:7
	.Deferred/promise.then/</</< https://ro.wikipedia.org/w/load.php:3312:10
	jQuery.Callbacks/fire https://ro.wikipedia.org/w/load.php:3148:10
	jQuery.Callbacks/self.fireWith https://ro.wikipedia.org/w/load.php:3260:7
	.Deferred/</deferred[tuple[0]] https://ro.wikipedia.org/w/load.php:3350:5
	jQuery.Callbacks/fire https://ro.wikipedia.org/w/load.php:3148:10
	jQuery.Callbacks/self.fireWith https://ro.wikipedia.org/w/load.php:3260:7
	.Deferred/promise.then/</</< https://ro.wikipedia.org/w/load.php:3312:10
	jQuery.Callbacks/fire https://ro.wikipedia.org/w/load.php:3148:10
	jQuery.Callbacks/self.fireWith https://ro.wikipedia.org/w/load.php:3260:7
	.Deferred/</deferred[tuple[0]] https://ro.wikipedia.org/w/load.php:3350:5
	jQuery.Callbacks/fire https://ro.wikipedia.org/w/load.php:3148:10
	jQuery.Callbacks/self.fireWith https://ro.wikipedia.org/w/load.php:3260:7
	.Deferred/</deferred[tuple[0]] https://ro.wikipedia.org/w/load.php:3350:5
	mw.Api.prototype.ajax/xhr< https://ro.wikipedia.org/w/resources/src/mediawiki/api.js:272:7
	jQuery.Callbacks/fire https://ro.wikipedia.org/w/load.php:3148:10
	jQuery.Callbacks/self.fireWith https://ro.wikipedia.org/w/load.php:3260:7
	done https://ro.wikipedia.org/w/load.php:9314:5
	.send/callback https://ro.wikipedia.org/w/load.php:9718:8

Testing in Firefox in production Romanian Wikipedia.

Details

Related Gerrit Patches:
mediawiki/extensions/ContentTranslation : masterTemplates: Improve the param value copying code

Event Timeline

Amire80 created this task.Feb 2 2017, 5:34 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 2 2017, 5:34 PM
Amire80 updated the task description. (Show Details)Feb 3 2017, 7:03 AM

Change 332397 had a related patch set uploaded (by Santhosh):
Templates: Improve the param value copying code

https://gerrit.wikimedia.org/r/332397

Arrbee triaged this task as Normal priority.Feb 8 2017, 7:09 AM

Change 332397 merged by jenkins-bot:
Templates: Improve the param value copying code

https://gerrit.wikimedia.org/r/332397

Arrbee moved this task from In Review to QA on the Language-2017 Sprint 2 board.Feb 9 2017, 8:05 AM
Amire80 moved this task from QA to Done on the Language-2017 Sprint 2 board.Feb 17 2017, 10:14 AM

Verified in production.

Arrbee closed this task as Resolved.Feb 21 2017, 6:36 AM